Skip to main content
`Ctrl`+`K`

# numpy.ndarray.__setstate__

method

ndarray.__setstate__(state, /)

  For unpickling.

  The state argument must be a sequence that contains the following elements:

  Parameters:
    version int

      optional pickle version. If omitted defaults to 0.

    shape tuple
    dtype data-type
    isFortran bool
    rawdata string or list

      a binary string with the data (or a list if ‘a’ is an object array)